import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbWorkspaceViewElement } from '../../../../core/workspace/index.js';
export declare class UmbBlockGridTypeWorkspaceViewSettingsElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    private _showSizeOptions;
    private _rowMinSpan?;
    private _rowMaxSpan?;
    private _dataTypeGridColumns?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockGridTypeWorkspaceViewSettingsElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-grid-type-workspace-view-settings': UmbBlockGridTypeWorkspaceViewSettingsElement;
    }
}
